@echo off
setlocal

if "%NICOCACHE_JAVA%"=="" (
  set java=java
) else (
  set java=%NICOCACHE_JAVA%
)
if "%NICOCACHE_OPTS%"=="" (
  set opts=-Xmx128m
) else (
  set opts=%NICOCACHE_OPTS%
)

cd /d %~dp0

"%java%" %opts% -jar %~n0.jar

pause
